import { Dispatcher } from '../../bus';
import { OptionalContentConfig, RenderTask } from '../../pdfjs';
import { LayerBuilderType } from '../layers';
import { Page, PageUpdate } from './';
export declare class LayersPage extends Dispatcher {
    private readonly page;
    private readonly items;
    private layers;
    private builders;
    constructor(page: Page, items?: LayerBuilderType[]);
    get container(): HTMLDivElement;
    get eventBus(): import('../../bus').EventBus<Record<string, import('../../bus').ListenerCallback>, string>;
    private resolve;
    init(): Promise<void>;
    render(postpone?: boolean): Promise<void>;
    reset(keep?: boolean): void;
    process(params: PageUpdate): void;
    update(params: PageUpdate): void;
    updateOptionalContentConfig(optionalContentConfig: OptionalContentConfig): void;
    find<T>(item: LayerBuilderType): T | undefined;
    cancel(keep?: boolean): void;
    finish(renderTask: RenderTask): void;
    add(div: HTMLElement, position: number): void;
}
